Get App Top Talking Pairs

Get App Top Talking Pairs
List Application top talking pairs

List Application top talking pairs based on provided criteria

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/top-talking-pair
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on

Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

number
start_time
Optional

Start time for query in epoch seconds

number
end_time
Optional

End time for query in epoch seconds

sort_criteria
Required

Sorting criteria


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApplicationTopTalkingPairData of type(s) application/json
{
    "results": [
        {
            "src_entity_id": "18230:1702:123456",
            "src_entity_type": "AzureVM",
            "dst_entity_id": "18230:601:1233393386",
            "dst_entity_type": "EC2Instance"
        },
        {
            "src_entity_id": "18230:601:1832167524",
            "src_entity_type": "EC2Instance",
            "dst_entity_id": "18230:1702:9876543",
            "dst_entity_type": "AzureVM"
        }
    ],
    "cursor": "MTA=",
    "total_count": 15,
    "start_time": 1509231996,
    "end_time": 1509318396
}
string
application_id
Optional

The entity ID of the application this flow is attached

array of object
top_talker_member
Optional

List of objects that are the top talkers


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/top-talking-pair?sort_criteria=v